Bug 88417 - Dropdown for ruler settings should show radio buttons instead of check boxes
Summary: Dropdown for ruler settings should show radio buttons instead of check boxes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.5.0 target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-14 18:28 UTC by Heiko Tietze
Modified: 2015-03-24 08:40 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
checkboxe selection from ruler context menu (20.17 KB, image/png)
2015-01-15 15:16 UTC, V Stuart Foote
Details
ruler checkbox selection from Tools Options View panel (61.77 KB, image/png)
2015-01-15 15:17 UTC, V Stuart Foote
Details
ruler checkbox selection from Tools Options View panel (rev) (75.64 KB, image/png)
2015-01-15 15:22 UTC, V Stuart Foote
Details
ruler context menu (6.58 KB, image/png)
2015-01-16 20:07 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2015-01-14 18:28:57 UTC
Rulers can set to centimeter, millimeter, inches etc. via context menu. Right click the ruler and select how it should look like. This is a single selection from a list and has to use radio buttons therefore. The checkbox indicates that more than one option can be selected, which is not true.
Comment 1 Robinson Tryon (qubit) 2015-01-14 22:15:33 UTC
TESTING in Ubuntu 14.04 + LO 4.4.0.2

(In reply to Heiko Tietze from comment #0)
> Rulers can set to centimeter, millimeter, inches etc. via context menu.
> Right click the ruler and select how it should look like. This is a single
> selection from a list and has to use radio buttons therefore. The checkbox
> indicates that more than one option can be selected, which is not true.

Hi Heiko,
I think the current interface looks pretty reasonable. I don't see any "checkboxes" per se, but just a check next to one item in a list. I don't think the behavior of the current layout would confuse me, but I'm handing this bug over to the UX folks for review.

Status -> NEW
Component -> ux-advise
Comment 2 V Stuart Foote 2015-01-15 15:15:31 UTC
Actually, Ruler on the main menu View -> Ruler is a toggle. That same .uno function is also available per module, where additional ruler configuration can be done.

E.g. for Writer, Tools -> Options -> LibreOffice Writer -> View

Under the View block there are only checkboxes

The "Ruler" checkbox overrides the checkboxes for "Horizontal ruler" and "Vertical ruler" by toggling rulers on or off.  So, the Ruler widget should be a radio-button rather than a checkbox.  Horizontal and Vertical rulers could be either--but checkbox would be more consistent.

Attaching two screen clips, one showing the "checkboxe" from the ruler context menu (they are checkboxes rather than radio buttons). The other showing the View panel Ruler widgets for Writer.

Changing checkboxes to radio-buttons would be more correct HIG.
Comment 3 V Stuart Foote 2015-01-15 15:16:20 UTC
Created attachment 112301 [details]
checkboxe selection from ruler context menu
Comment 4 V Stuart Foote 2015-01-15 15:17:21 UTC
Created attachment 112302 [details]
ruler checkbox selection from Tools Options View panel
Comment 5 V Stuart Foote 2015-01-15 15:22:29 UTC
Created attachment 112303 [details]
ruler checkbox selection from Tools Options View panel (rev)
Comment 6 Heiko Tietze 2015-01-15 18:10:24 UTC
I wouldn't change the dropdown in the options dialog into radio buttons. Such a dropdown is the better control for lists with more than two or three alternatives. But of course it's not available in context menus.

Thank you Stuart for adding the screenshots.
Comment 7 Robinson Tryon (qubit) 2015-01-15 19:31:33 UTC
(In reply to V Stuart Foote from comment #3)
> Created attachment 112301 [details]
> checkboxe selection from ruler context menu

FWIW, unless someone said the word "checkbox" to me, I wouldn't associate this interface with checkboxes
- It doesn't have well-defined squares to check
- (As is the nature with all context menus,) one can only choose one item before the menu closes, so the concept of selecting more than one item doesn't seem natural

But an update is fine with me :-)
Comment 8 Yousuf Philips (jay) (retired) 2015-01-16 20:07:39 UTC
Created attachment 112360 [details]
ruler context menu

Here is the screenshot from my linux mint machine with clearlooks theme. In this screenshot you can clearly see they are checkboxes.
Comment 9 Adolfo Jayme 2015-01-16 21:36:20 UTC
This also happens when you right-click a tab row, and it is due to this commit: http://cgit.freedesktop.org/libreoffice/core/commit/?id=9995222d1141b326197a387cc7897b3971ce9e9a
Comment 10 Caolán McNamara 2015-01-19 15:40:01 UTC
I'm sure there was a reason for that, but it utterly escapes me now.
Comment 11 Caolán McNamara 2015-01-19 15:48:48 UTC
actually the tab rows and the ruler menu are different hunks of code, though both should probably be radio buttons
Comment 12 Commit Notification 2015-01-19 15:52:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=251737f0dd186b0f169f5ba237e1e8c28a320e00

Resolves: fdo#88417 Dropdown for ruler settings should show radio buttons

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Caolán McNamara 2015-01-19 15:54:28 UTC
proposed for 4-4 as well
Comment 14 Commit Notification 2015-01-19 16:04:48 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=83cb667fe9ad08ccbb3621b982edcb6fa8e4ab38&h=libreoffice-4-4

Resolves: fdo#88417 Dropdown for ruler settings should show radio buttons

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2015-01-21 15:30:29 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9162fcf25a0661095169ec0c606ee81ffcd5707b&h=libreoffice-4-4-0

Resolves: fdo#88417 Dropdown for ruler settings should show radio buttons

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Adolfo Jayme 2015-03-24 08:40:01 UTC
[Housekeeping]